Package com.io7m.idstore.shell.admin.internal

# Interface IdAShellCmdType

All Superinterfaces:
  `com.io7m.quarrel.core.QCommandOrGroupType`, `com.io7m.quarrel.core.QCommandType`

All Known Implementing Classes:
  `IdAShellCmdAbstract`, `IdAShellCmdAbstractCR`, `IdAShellCmdAdminBanCreate`, `IdAShellCmdAdminBanDelete`, `IdAShellCmdAdminBanGet`, `IdAShellCmdAdminCreate`, `IdAShellCmdAdminEmailAdd`, `IdAShellCmdAdminEmailRemove`, `IdAShellCmdAdminGet`, `IdAShellCmdAdminGetByEmail`, `IdAShellCmdAdminMaintenanceModeSet`, `IdAShellCmdAdminSearchBegin`, `IdAShellCmdAdminSearchByEmailBegin`, `IdAShellCmdAdminSearchByEmailNext`, `IdAShellCmdAdminSearchByEmailPrevious`, `IdAShellCmdAdminSearchNext`, `IdAShellCmdAdminSearchPrevious`, `IdAShellCmdAdminUpdatePasswordExpiration`, `IdAShellCmdAuditSearchBegin`, `IdAShellCmdAuditSearchNext`, `IdAShellCmdAuditSearchPrevious`, `IdAShellCmdHelp`, `IdAShellCmdLogin`, `IdAShellCmdLogout`, `IdAShellCmdMailTest`, `IdAShellCmdSelf`, `IdAShellCmdSet`, `IdAShellCmdUserBanCreate`, `IdAShellCmdUserBanDelete`, `IdAShellCmdUserBanGet`, `IdAShellCmdUserCreate`, `IdAShellCmdUserEmailAdd`, `IdAShellCmdUserEmailRemove`, `IdAShellCmdUserGet`, `IdAShellCmdUserGetByEmail`, `IdAShellCmdUserLoginHistory`, `IdAShellCmdUserSearchBegin`, `IdAShellCmdUserSearchByEmailBegin`, `IdAShellCmdUserSearchByEmailNext`, `IdAShellCmdUserSearchByEmailPrevious`, `IdAShellCmdUserSearchNext`, `IdAShellCmdUserSearchPrevious`, `IdAShellCmdUserUpdatePasswordExpiration`, `IdAShellCmdVersion`

public interface IdAShellCmdType extends com.io7m.quarrel.core.QCommandType
The type of shell commands.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.jline.reader.Completer`
  `completer()`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandOrGroupType

  `isHidden, metadata`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandType

  `onExecute, onListNamedParameters, onListPositionalParameters`

- ## Method Details

  - ### completer

    org.jline.reader.Completer completer()
    Returns:
      A shell command completer for the command